Bug 134383 - I have 2 network cards. 4 are shown
I have 2 network cards. 4 are shown
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-10-01 17:09 EDT by Bob Gustafson
Modified: 2014-03-16 22:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-08 15:30:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
my /etc/modprobe.conf (473 bytes, text/plain)
2004-10-06 01:33 EDT, Bob Gustafson
no flags Details
my /etc/sysconfig/network-scripts/ifcfg-eth0 (272 bytes, text/plain)
2004-10-06 15:58 EDT, Bob Gustafson
no flags Details
my /etc/sysconfig/network-scripts/ifcfg-eth1 (200 bytes, text/plain)
2004-10-06 15:58 EDT, Bob Gustafson
no flags Details
my /etc/sysconfig/network-scripts/ifcfg-lo (254 bytes, text/plain)
2004-10-06 15:59 EDT, Bob Gustafson
no flags Details
my /etc/sysconfig/network-scripts/ifcfg-lo.rpmorig (254 bytes, text/plain)
2004-10-06 16:02 EDT, Bob Gustafson
no flags Details

  None (edit)
Description Bob Gustafson 2004-10-01 17:09:49 EDT
Description of problem:

 When I do 'Gnome->System Settings->Network-><tab>Hardware', I see 4

  Intel Corp. 82545EM Gigabit Ethernet Controller (Copper)
  Intel Corp. 82545EM Gigabit Ethernet Controller
  Intel EtherExpress 1000/gigabit
  Intel EtherExpress 1000/gigabit

I actually only have two - one is on the motherboard and the other is
a PCI card.

Other than being a bit strange, it does not seem to affect the
operation of my system.

Version-Release number of selected component (if applicable):

  system-config-network 1.3.20

How reproducible:

  I have seen mention of eth2 and eth3 in the console log during boot.
  This has been there for a couple of weeks or so.

Steps to Reproduce:
1. as above
Actual results:

  as above

Expected results:

  Two hardware listings.

Additional info:

  The devices tab also shows 4 devices.

  'Gnome->System Tools->Hardware Browser-<select>Network devices' 
shows only two hardware devices (the top two lines above)
Comment 1 Harald Hoyer 2004-10-04 04:17:38 EDT
Maybe there are only configured, but not present. What does the 4th
column say?
Comment 2 Bob Gustafson 2004-10-04 12:23:19 EDT
The 4th column says 'configured' for the phantom devices.

I didn't configure them (did I?).

device    status

eth0      ok
eth1      ok
eth2      configured
eht3      configured
Comment 3 Harald Hoyer 2004-10-05 04:35:33 EDT
please attach your /etc/modules.conf
reassigning to kudzu, which has configured your cards.
Comment 4 Bob Gustafson 2004-10-05 13:27:16 EDT
Hmm, no /etc/modules.conf on my active system

 [root@hoho2 aplus-fsf-4.20]# find /etc -name modules.conf\* -print

If I widen the 'find', I see stuff from an old RH9 system on an
unmounted disk (??)

[root@hoho2 aplus-fsf-4.20]# find / -name modules.conf\* -print
[root@hoho2 aplus-fsf-4.20]#

Will /etc/modprobe.conf do?

[root@hoho2 aplus-fsf-4.20]# ls -l /etc/modprobe*
-rw-r--r--  1 root root  473 Oct  1 15:38 /etc/modprobe.conf
-rw-r--r--  1 root root  456 Sep  1 12:33 /etc/modprobe.conf~
-rw-r--r--  1 root root 5754 Sep 22 17:12 /etc/modprobe.conf.dist
Comment 5 Bill Nottingham 2004-10-06 00:03:56 EDT
Comment 6 Bob Gustafson 2004-10-06 01:33:37 EDT
Created attachment 104821 [details]
my /etc/modprobe.conf
Comment 7 Bill Nottingham 2004-10-06 12:04:29 EDT
Please attach /etc/sysconfig/network-scripts/ifcfg-*, as well.
Comment 8 Bob Gustafson 2004-10-06 15:58:03 EDT
Created attachment 104857 [details]
my /etc/sysconfig/network-scripts/ifcfg-eth0
Comment 9 Bob Gustafson 2004-10-06 15:58:48 EDT
Created attachment 104858 [details]
my /etc/sysconfig/network-scripts/ifcfg-eth1
Comment 10 Bob Gustafson 2004-10-06 15:59:36 EDT
Created attachment 104859 [details]
my /etc/sysconfig/network-scripts/ifcfg-lo
Comment 11 Bob Gustafson 2004-10-06 16:02:58 EDT
Created attachment 104861 [details]
my /etc/sysconfig/network-scripts/ifcfg-lo.rpmorig


[user1@hoho2 ~]$ ls -l /etc/sysconfig/network-scripts/ifcfg*
-rw-r--r--  3 root root 272 Oct  1 15:38
-rw-r--r--  3 root root 200 Oct  1 15:38
-rw-r--r--  1 root root 254 Jun 20  2001
/etc/sysconfig/network-scripts/ifcfg-lo-rw-r--r--  1 root root 254 Jun 20  2001
[user1@hoho2 ~]$ date
Wed Oct  6 15:04:44 CDT 2004
[user1@hoho2 ~]$
Comment 12 Bill Nottingham 2004-10-06 17:03:46 EDT
Presumably if you remove the eth2 and eth3 aliases, everything behaves?
Comment 13 Bob Gustafson 2004-10-08 15:09:16 EDT

However, I did not put the eth2 and eth3 aliases in there. The devil
that stuck them in - could come back.

I will whack them and see what happens..
Comment 14 Bob Gustafson 2004-10-08 15:30:53 EDT

I whacked the aliases for eth2 and eth3 from /etc/modprobe.conf and
then rebooted. The 'Gnome->System Settings->Network-><tab>Hardware'
shows only the real eth0 and eth1. However, the 'Gnome->System
Settings->Network-><tab>Devices' still shows the phantom eth2 and 3.

I then whacked the files /etc/sysconfig/networking/devices/ifcfg-eth2
and ifcfg-eth3 and then rebooted.

The 'Gnome->System Settings->Network' displayed data is now correct.

Works for me (thanks)

Note You need to log in before you can comment on or make changes to this bug.